Bug 4499 - Javascript erorr messages not translatable
Summary: Javascript erorr messages not translatable
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: I18N/L10N (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Katrin Fischer
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-05-13 05:01 UTC by Katrin Fischer
Modified: 2012-10-25 22:52 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
proposed patch (2.99 KB, patch)
2010-05-13 17:40 UTC, Chris Cormack
Details | Diff | Splinter Review
proposed patch (3.92 KB, application/octet-stream)
2010-05-13 21:44 UTC, Chris Cormack
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2010-05-21 01:27:54 UTC


---- Reported by katrin.fischer@bsz-bw.de 2010-05-13 17:01:50 ----

Many templates contain javascript for validation with error messages that can not be translated.

Also \n causes problems in translation with pootle. Line breaks and tabs should not be part of the text for translation.



---- Additional Comments From katrin.fischer@bsz-bw.de 2010-05-13 17:40:21 ----

Created an attachment
proposed patch

- Cataloging > New Record (addbiblio.tmpl)
- Administration > Currencies > New Currency (currency.tmpl)



---- Additional Comments From gmcharlt@gmail.com 2010-05-13 18:24:13 ----

Pushed patch.



---- Additional Comments From katrin.fischer@bsz-bw.de 2010-05-13 21:44:52 ----

Created an attachment
proposed patch

- Administration > Patron categories > New Category (category.tmpl)
- Circulation > Checkouts > Toolbar (all tabs except Check out) (members-toolbar.inc)



---- Additional Comments From katrin.fischer@bsz-bw.de 2010-05-14 09:39:10 ----

Tested successfully on separate installation.



--- Bug imported by chris@bigballofwax.co.nz 2010-05-21 01:27 UTC  ---

This bug was previously known as _bug_ 4499 at http://bugs.koha.org/cgi-bin/bugzilla3/show_bug.cgi?id=4499
Imported an attachment (id=2132)
Imported an attachment (id=2133)

Actual time not defined. Setting to 0.0
Setting qa contact to the default for this product.
   This bug either had no qa contact or an invalid one.
The original submitter of attachment 2132 [details] [review] is unknown.
   Reassigning to the person who moved it here: chris@bigballofwax.co.nz.
The original submitter of attachment 2133 [details] is unknown.
   Reassigning to the person who moved it here: chris@bigballofwax.co.nz.